#ifndef __FILE_OUTPUT_H__
#define __FILE_OUTPUT_H__

#include <fstream>
#include "output.h"

class file_output final : public output {
private:
        std::ofstream out;
public:
        file_output(std::ofstream &&ofs);

        void render() override;
        void print_char(const position &pos,
                        const char ch, const int attrs) override;
        void print_str(const position &pos,
                       const std::string &str, const int attrs) override;
};

#endif
